<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gst Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacegst.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">gst Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Namespace for all GStreamer an GLib Wrappers.  
<a href="namespacegst.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Bin.html">Bin</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Bus.html">Bus</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Caps.html">Caps</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Element.html">Element</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">C++ Wrapper around.  <a href="classgst_1_1Element.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1ElementFactory.html">ElementFactory</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">C++ Wrapper around GstElementFactory.  <a href="classgst_1_1ElementFactory.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Message.html">Message</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Object.html">Object</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">C++ Wrapper around GstObject meant to be used in harmony with the other elements only provides virtual functions which are used to manage basic functionality of GstObject.  <a href="classgst_1_1Object.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Pad.html">Pad</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Pipeline.html">Pipeline</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgst_1_1Structure.html">Structure</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgst_1_1Version.html">Version</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for the version of gstreamer;.  <a href="structgst_1_1Version.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:af4542ef3af7da5b45f6fabebfd6df283"><td class="memItemLeft" align="right" valign="top"><a id="af4542ef3af7da5b45f6fabebfd6df283"></a>
typedef uint64_t&#160;</td><td class="memItemRight" valign="bottom"><b>ClockTime</b></td></tr>
<tr class="separator:af4542ef3af7da5b45f6fabebfd6df283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4257cd54f86937126ac56efe61869234"><td class="memItemLeft" align="right" valign="top"><a id="a4257cd54f86937126ac56efe61869234"></a>
typedef struct <a class="el" href="structgst_1_1Version.html">gst::Version</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a4257cd54f86937126ac56efe61869234">Version</a></td></tr>
<tr class="memdesc:a4257cd54f86937126ac56efe61869234"><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for the version of gstreamer;. <br /></td></tr>
<tr class="separator:a4257cd54f86937126ac56efe61869234"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a1640aeafb7ffc8d5449faa2572f3785b"><td class="memItemLeft" align="right" valign="top"><a id="a1640aeafb7ffc8d5449faa2572f3785b"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>State</b> { <br />
&#160;&#160;<b>VoidPending</b> = 0
, <b>Null</b> = 1
, <b>Ready</b> = 2
, <b>Paused</b> = 3
, <br />
&#160;&#160;<b>Playing</b> = 4
<br />
 }</td></tr>
<tr class="separator:a1640aeafb7ffc8d5449faa2572f3785b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23d7ae7ef63dc2f8fd75b216e0b899a2"><td class="memItemLeft" align="right" valign="top"><a id="a23d7ae7ef63dc2f8fd75b216e0b899a2"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>StateChangeReturn</b> { <b>Failure</b> = 0
, <b>Success</b> = 1
, <b>Async</b> = 2
, <b>NoPreroll</b> = 3
 }</td></tr>
<tr class="separator:a23d7ae7ef63dc2f8fd75b216e0b899a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70e20d3a2b7e71e6adf2668421457ed8"><td class="memItemLeft" align="right" valign="top"><a id="a70e20d3a2b7e71e6adf2668421457ed8"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>PadDirection</b> { <b>Unknown</b> = 0
, <b>Src</b> = 1
, <b>Sink</b> = 2
 }</td></tr>
<tr class="separator:a70e20d3a2b7e71e6adf2668421457ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a703da226b2d8e6898cb59c919b5de6b8"><td class="memItemLeft" align="right" valign="top"><a id="a703da226b2d8e6898cb59c919b5de6b8"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>LinkReturn</b> { <br />
&#160;&#160;<b>OK</b> = 0
, <b>WRONG_HIERARCHY</b> = -1
, <b>WAS_LINKED</b> = -2
, <b>WRONG_DIRECTION</b> = -3
, <br />
&#160;&#160;<b>NOFORMAT</b> = -4
, <b>NOSCHED</b> = -5
, <b>REFUSED</b> = -6
<br />
 }</td></tr>
<tr class="separator:a703da226b2d8e6898cb59c919b5de6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a2b5254b20a1c9709e6b5f392cb8e65"><td class="memItemLeft" align="right" valign="top"><a id="a2a2b5254b20a1c9709e6b5f392cb8e65"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a> { <br />
&#160;&#160;<b>SHOW_MEDIA_TYPE</b> = (1 &lt;&lt; 0)
, <b>SHOW_CAPS_DETAILS</b> = (1 &lt;&lt; 1)
, <b>SHOW_NON_DEFAULT_PARAMS</b> = (1 &lt;&lt; 2)
, <b>SHOW_STATES</b> = (1 &lt;&lt; 3)
, <br />
&#160;&#160;<b>SHOW_FULL_PARAMS</b> = (1 &lt;&lt; 4)
, <b>SHOW_ALL</b> = ((1 &lt;&lt; 4) - 1)
, <b>SHOW_VERBOSE</b> = (gint)(0xffffffff)
<br />
 }</td></tr>
<tr class="memdesc:a2a2b5254b20a1c9709e6b5f392cb8e65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum containing different modes for dot graph debug output. <br /></td></tr>
<tr class="separator:a2a2b5254b20a1c9709e6b5f392cb8e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:acf05768d6a9f73447eb0d01305e545a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#acf05768d6a9f73447eb0d01305e545a9">deinit</a> ()</td></tr>
<tr class="memdesc:acf05768d6a9f73447eb0d01305e545a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clean up any resources created by GStreamer in <a class="el" href="namespacegst.html#aa462fc1e16c877fa210e7def887314df" title="Initializes the GStreamer library, setting up internal path lists, registering built-in elements,...">gst::init</a>.  <a href="namespacegst.html#acf05768d6a9f73447eb0d01305e545a9">More...</a><br /></td></tr>
<tr class="separator:acf05768d6a9f73447eb0d01305e545a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa462fc1e16c877fa210e7def887314df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#aa462fc1e16c877fa210e7def887314df">init</a> (int *argc, char ***argv)</td></tr>
<tr class="memdesc:aa462fc1e16c877fa210e7def887314df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the GStreamer library, setting up internal path lists, registering built-in elements, and loading standard plugins.  <a href="namespacegst.html#aa462fc1e16c877fa210e7def887314df">More...</a><br /></td></tr>
<tr class="separator:aa462fc1e16c877fa210e7def887314df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6dd2f2c1e303cd5272714da59a335a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a7b6dd2f2c1e303cd5272714da59a335a">init_check</a> (int *argc, char ***argv, GError **error)</td></tr>
<tr class="memdesc:a7b6dd2f2c1e303cd5272714da59a335a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the GStreamer library, setting up internal path lists, registering built-in elements, and loading standard plugins. This function will return FALSE if GStreamer could not be initialized for some reason. If you want your program to fail fatally, use gst_init instead.  <a href="namespacegst.html#a7b6dd2f2c1e303cd5272714da59a335a">More...</a><br /></td></tr>
<tr class="separator:a7b6dd2f2c1e303cd5272714da59a335a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a391634471f7bed5364d500bfd3a1da4b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a391634471f7bed5364d500bfd3a1da4b">get_main_executable_path</a> ()</td></tr>
<tr class="memdesc:a391634471f7bed5364d500bfd3a1da4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This helper is mostly helpful for plugins that need to inspect the folder of the main executable to determine their set of features.  <a href="namespacegst.html#a391634471f7bed5364d500bfd3a1da4b">More...</a><br /></td></tr>
<tr class="separator:a391634471f7bed5364d500bfd3a1da4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa983b8b16cb51d904019ed42e750b2c3"><td class="memItemLeft" align="right" valign="top">GOptionGroup *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#aa983b8b16cb51d904019ed42e750b2c3">init_get_option_group</a> ()</td></tr>
<tr class="memdesc:aa983b8b16cb51d904019ed42e750b2c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a GOptionGroup with GStreamer's argument specifications. The group is set up to use standard GOption callbacks, so when using this group in combination with GOption parsing methods, all argument parsing and initialization is automated.  <a href="namespacegst.html#aa983b8b16cb51d904019ed42e750b2c3">More...</a><br /></td></tr>
<tr class="separator:aa983b8b16cb51d904019ed42e750b2c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae273892d35c722b2fbdf66d29ffeec15"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#ae273892d35c722b2fbdf66d29ffeec15">is_initialized</a> ()</td></tr>
<tr class="memdesc:ae273892d35c722b2fbdf66d29ffeec15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this function to check if GStreamer has been initialized with <a class="el" href="namespacegst.html#aa462fc1e16c877fa210e7def887314df" title="Initializes the GStreamer library, setting up internal path lists, registering built-in elements,...">gst::init</a> or <a class="el" href="namespacegst.html#a7b6dd2f2c1e303cd5272714da59a335a" title="Initializes the GStreamer library, setting up internal path lists, registering built-in elements,...">gst::init_check</a>.  <a href="namespacegst.html#ae273892d35c722b2fbdf66d29ffeec15">More...</a><br /></td></tr>
<tr class="separator:ae273892d35c722b2fbdf66d29ffeec15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacb36d8963dd7b7e2dff8085e625ce22"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#aacb36d8963dd7b7e2dff8085e625ce22">segtrap_is_enabled</a> ()</td></tr>
<tr class="memdesc:aacb36d8963dd7b7e2dff8085e625ce22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Some functions in the GStreamer core might install a custom SIGSEGV handler to better catch and report errors to the application. Currently this feature is enabled by default when loading plugins.  <a href="namespacegst.html#aacb36d8963dd7b7e2dff8085e625ce22">More...</a><br /></td></tr>
<tr class="separator:aacb36d8963dd7b7e2dff8085e625ce22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229b3856304f0946916d0816283a9ec6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a229b3856304f0946916d0816283a9ec6">segtrap_set_enabled</a> (bool enabled)</td></tr>
<tr class="memdesc:a229b3856304f0946916d0816283a9ec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applications might want to disable/enable the SIGSEGV handling of the GStreamer core. See.  <a href="namespacegst.html#a229b3856304f0946916d0816283a9ec6">More...</a><br /></td></tr>
<tr class="separator:a229b3856304f0946916d0816283a9ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69bbbf7ee1a6fe955aac6d53a7a61fea"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structgst_1_1Version.html">Version</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a69bbbf7ee1a6fe955aac6d53a7a61fea">version</a> ()</td></tr>
<tr class="memdesc:a69bbbf7ee1a6fe955aac6d53a7a61fea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the version number of the GStreamer library.  <a href="namespacegst.html#a69bbbf7ee1a6fe955aac6d53a7a61fea">More...</a><br /></td></tr>
<tr class="separator:a69bbbf7ee1a6fe955aac6d53a7a61fea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25c2de3823f0bbc762476ee6b890d6b0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a25c2de3823f0bbc762476ee6b890d6b0">version_string</a> ()</td></tr>
<tr class="memdesc:a25c2de3823f0bbc762476ee6b890d6b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns a string that is useful for describing this version of GStreamer to the outside world: user agent strings, logging, ...  <a href="namespacegst.html#a25c2de3823f0bbc762476ee6b890d6b0">More...</a><br /></td></tr>
<tr class="separator:a25c2de3823f0bbc762476ee6b890d6b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6edecc4ddcc8013ba748bae4ecc5f185"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a6edecc4ddcc8013ba748bae4ecc5f185">debug_bin_to_dot_data</a> (<a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;bin, <a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a> details)</td></tr>
<tr class="memdesc:a6edecc4ddcc8013ba748bae4ecc5f185"><td class="mdescLeft">&#160;</td><td class="mdescRight">To aid debugging applications one can use this method to obtain the whole network of gstreamer elements that form the pipeline into a dot file. This data can be processed with graphviz to get an image.  <a href="namespacegst.html#a6edecc4ddcc8013ba748bae4ecc5f185">More...</a><br /></td></tr>
<tr class="separator:a6edecc4ddcc8013ba748bae4ecc5f185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dfdd6560339b44860236b0d9abf87e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a4dfdd6560339b44860236b0d9abf87e7">debug_bin_to_dot_file</a> (<a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;bin, <a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a> details, std::string file_name)</td></tr>
<tr class="memdesc:a4dfdd6560339b44860236b0d9abf87e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">To aid debugging applications one can use this method to write out the whole network of gstreamer elements that form the pipeline into a dot file. This file can be processed with graphviz to get an image.  <a href="namespacegst.html#a4dfdd6560339b44860236b0d9abf87e7">More...</a><br /></td></tr>
<tr class="separator:a4dfdd6560339b44860236b0d9abf87e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f8e122acf614d8462ae57364386db8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegst.html#a0f8e122acf614d8462ae57364386db8a">gst_debug_bin_to_dot_file_with_ts</a> (<a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;bin, <a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a> details, std::string file_name)</td></tr>
<tr class="memdesc:a0f8e122acf614d8462ae57364386db8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This works like.  <a href="namespacegst.html#a0f8e122acf614d8462ae57364386db8a">More...</a><br /></td></tr>
<tr class="separator:a0f8e122acf614d8462ae57364386db8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b3bb3ed33dedf6258910ecb1373618a"><td class="memItemLeft" align="right" valign="top"><a id="a7b3bb3ed33dedf6258910ecb1373618a"></a>
<a class="el" href="classgst_1_1Pad.html">Pad</a>&#160;</td><td class="memItemRight" valign="bottom"><b>make</b> (PadDirection dir, std::string name)</td></tr>
<tr class="separator:a7b3bb3ed33dedf6258910ecb1373618a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Namespace for all GStreamer an GLib Wrappers. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a6edecc4ddcc8013ba748bae4ecc5f185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6edecc4ddcc8013ba748bae4ecc5f185">&#9670;&nbsp;</a></span>debug_bin_to_dot_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string gst::debug_bin_to_dot_data </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;&#160;</td>
          <td class="paramname"><em>bin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a>&#160;</td>
          <td class="paramname"><em>details</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>To aid debugging applications one can use this method to obtain the whole network of gstreamer elements that form the pipeline into a dot file. This data can be processed with graphviz to get an image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bin</td><td>the top-level pipeline that should be analyzed </td></tr>
    <tr><td class="paramname">details</td><td>type of </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65" title="Enum containing different modes for dot graph debug output.">DebugGraphDetails</a> to use </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>std::string a string containing the pipeline in graphviz dot format. </dd></dl>

</div>
</div>
<a id="a4dfdd6560339b44860236b0d9abf87e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dfdd6560339b44860236b0d9abf87e7">&#9670;&nbsp;</a></span>debug_bin_to_dot_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gst::debug_bin_to_dot_file </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;&#160;</td>
          <td class="paramname"><em>bin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a>&#160;</td>
          <td class="paramname"><em>details</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>file_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>To aid debugging applications one can use this method to write out the whole network of gstreamer elements that form the pipeline into a dot file. This file can be processed with graphviz to get an image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bin</td><td>the top-level pipeline that should be analyzed </td></tr>
    <tr><td class="paramname">details</td><td>type of </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65" title="Enum containing different modes for dot graph debug output.">DebugGraphDetails</a> to use </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file_name</td><td>output base filename (e.g. "myplayer") </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acf05768d6a9f73447eb0d01305e545a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf05768d6a9f73447eb0d01305e545a9">&#9670;&nbsp;</a></span>deinit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gst::deinit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clean up any resources created by GStreamer in <a class="el" href="namespacegst.html#aa462fc1e16c877fa210e7def887314df" title="Initializes the GStreamer library, setting up internal path lists, registering built-in elements,...">gst::init</a>. </p>
<p>It is normally not needed to call this function in a normal application as the resources will automatically be freed when the program terminates. This function is therefore mostly used by testsuites and other memory profiling tools. After this call GStreamer (including this method) should not be used anymore. </p>

</div>
</div>
<a id="a391634471f7bed5364d500bfd3a1da4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a391634471f7bed5364d500bfd3a1da4b">&#9670;&nbsp;</a></span>get_main_executable_path()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string gst::get_main_executable_path </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This helper is mostly helpful for plugins that need to inspect the folder of the main executable to determine their set of features. </p>
<dl class="section return"><dt>Returns</dt><dd>std::string The path of the executable that initialized GStreamer, or NULL if it could not be determined. </dd></dl>

</div>
</div>
<a id="a0f8e122acf614d8462ae57364386db8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f8e122acf614d8462ae57364386db8a">&#9670;&nbsp;</a></span>gst_debug_bin_to_dot_file_with_ts()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gst::gst_debug_bin_to_dot_file_with_ts </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgst_1_1Bin.html">Bin</a> &amp;&#160;</td>
          <td class="paramname"><em>bin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65">DebugGraphDetails</a>&#160;</td>
          <td class="paramname"><em>details</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>file_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This works like. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacegst.html#a4dfdd6560339b44860236b0d9abf87e7" title="To aid debugging applications one can use this method to write out the whole network of gstreamer ele...">gst::debug_bin_to_dot_file</a>, but adds the current timestamp to the filename, so that it can be used to take multiple snapshots.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bin</td><td>the top-level pipeline that should be analyzed </td></tr>
    <tr><td class="paramname">details</td><td>type of </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacegst.html#a2a2b5254b20a1c9709e6b5f392cb8e65" title="Enum containing different modes for dot graph debug output.">DebugGraphDetails</a> to use </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file_name</td><td>output base filename (e.g. "myplayer") </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa462fc1e16c877fa210e7def887314df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa462fc1e16c877fa210e7def887314df">&#9670;&nbsp;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gst::init </td>
          <td>(</td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char ***&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes the GStreamer library, setting up internal path lists, registering built-in elements, and loading standard plugins. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>pointer to application's argc </td></tr>
    <tr><td class="paramname">argv</td><td>pointer to application's argv </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">Referenced by <a class="el" href="main_8cpp.html#a62ff4bbdad1e8b10ee0771f049752381">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="namespacegst_aa462fc1e16c877fa210e7def887314df_icgraph.svg" width="184" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="a7b6dd2f2c1e303cd5272714da59a335a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b6dd2f2c1e303cd5272714da59a335a">&#9670;&nbsp;</a></span>init_check()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool gst::init_check </td>
          <td>(</td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char ***&#160;</td>
          <td class="paramname"><em>argv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GError **&#160;</td>
          <td class="paramname"><em>error</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes the GStreamer library, setting up internal path lists, registering built-in elements, and loading standard plugins. This function will return FALSE if GStreamer could not be initialized for some reason. If you want your program to fail fatally, use gst_init instead. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>pointer to application's argc </td></tr>
    <tr><td class="paramname">argv</td><td>pointer to application's argv </td></tr>
    <tr><td class="paramname">error</td><td>pointer to a GError to which a message will be posted on error </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if GStreamer could be initialized. </dd>
<dd>
false else </dd></dl>

</div>
</div>
<a id="aa983b8b16cb51d904019ed42e750b2c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa983b8b16cb51d904019ed42e750b2c3">&#9670;&nbsp;</a></span>init_get_option_group()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GOptionGroup * gst::init_get_option_group </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a GOptionGroup with GStreamer's argument specifications. The group is set up to use standard GOption callbacks, so when using this group in combination with GOption parsing methods, all argument parsing and initialization is automated. </p>
<dl class="section return"><dt>Returns</dt><dd>GOptionGroup* a pointer to GStreamer's option group. </dd></dl>

</div>
</div>
<a id="ae273892d35c722b2fbdf66d29ffeec15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae273892d35c722b2fbdf66d29ffeec15">&#9670;&nbsp;</a></span>is_initialized()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool gst::is_initialized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this function to check if GStreamer has been initialized with <a class="el" href="namespacegst.html#aa462fc1e16c877fa210e7def887314df" title="Initializes the GStreamer library, setting up internal path lists, registering built-in elements,...">gst::init</a> or <a class="el" href="namespacegst.html#a7b6dd2f2c1e303cd5272714da59a335a" title="Initializes the GStreamer library, setting up internal path lists, registering built-in elements,...">gst::init_check</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>true if initialization has been done. </dd>
<dd>
false else </dd></dl>

</div>
</div>
<a id="aacb36d8963dd7b7e2dff8085e625ce22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacb36d8963dd7b7e2dff8085e625ce22">&#9670;&nbsp;</a></span>segtrap_is_enabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool gst::segtrap_is_enabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Some functions in the GStreamer core might install a custom SIGSEGV handler to better catch and report errors to the application. Currently this feature is enabled by default when loading plugins. </p>
<dl class="section return"><dt>Returns</dt><dd>true if GStreamer is allowed to install a custom SIGSEGV handler. </dd>
<dd>
false else </dd></dl>

</div>
</div>
<a id="a229b3856304f0946916d0816283a9ec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229b3856304f0946916d0816283a9ec6">&#9670;&nbsp;</a></span>segtrap_set_enabled()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gst::segtrap_set_enabled </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Applications might want to disable/enable the SIGSEGV handling of the GStreamer core. See. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacegst.html#aacb36d8963dd7b7e2dff8085e625ce22" title="Some functions in the GStreamer core might install a custom SIGSEGV handler to better catch and repor...">gst::segtrap_is_enabled</a> for more information.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">enabled</td><td>whether a custom SIGSEGV handler should be installed. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a69bbbf7ee1a6fe955aac6d53a7a61fea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69bbbf7ee1a6fe955aac6d53a7a61fea">&#9670;&nbsp;</a></span>version()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structgst_1_1Version.html">Version</a> gst::version </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets the version number of the GStreamer library. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="structgst_1_1Version.html" title="Struct for the version of gstreamer;.">Version</a> struct containing major,minor,micro,nano version numbers </dd></dl>

</div>
</div>
<a id="a25c2de3823f0bbc762476ee6b890d6b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25c2de3823f0bbc762476ee6b890d6b0">&#9670;&nbsp;</a></span>version_string()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string gst::version_string </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns a string that is useful for describing this version of GStreamer to the outside world: user agent strings, logging, ... </p>
<dl class="section return"><dt>Returns</dt><dd>std::string a newly allocated string describing this version of GStreamer. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegst.html">gst</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
